### Function

# FwupdPlugin crc32_bytes

since: 2.0.2

#### Declaration [src]

    guint32
    fu_crc32_bytes (
      FuCrcKind kind,
      GBytes* blob
    )

#### Description [src]

Returns the cyclic redundancy check value for the given memory buffer.

Available since: 2.0.2

#### Parameters

`kind`

  Type: `FuCrcKind`

  A `FuCrcKind`, typically `FU_CRC_KIND_B32_STANDARD`.

`blob`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `guint32`

CRC value.